Bug 150433 - kernel hang with pilot-xfer -b
kernel hang with pilot-xfer -b
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-06 08:33 EST by Graydon Saunders
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graydon Saunders 2005-03-06 08:33:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Using pilot-xfer -b <dir> to back up a Zire 72, connected via USB.

(udev entry is 10-visor.rules in /etc/udev/rules.d -- 
BUS="usb", SYSFS{product}="Palm Handheld*", KERNEL="ttyUSB*", SYMLINK="pilot")

The connection works for everything else; I can sync with jpilot, use pilot-xfer -i to install programs on the handheld, and use sync-plan (I've recompiled the pilot-link src.rpm with perl support turned on; that involves flipping a switch in the spec file from 0 to 1) with success.

However, when I try to use pilot-xfer -b palm/backup to take a full backup, I get a number of files copied and then the kernel goes into a hung state where nothing responds -- no screen updates, no keyboard or pointer input, unplugging the palm produces no change.

pilot-xfer -b worked previously; I'm not sure it works with  kernel-2.6.10-1.766_FC3 but I *am* sure it worked with at least one earlier 2.6.10 FC3 kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3  pilot-link-0.11.8-10

How reproducible:
Always

Steps to Reproduce:
1. plug in handheld via usb cable
2. press hot-sync button on handheld to create /dev/pilot
3. issue pilot-xfer -b palm/backup as a normal user
    

Actual Results:  Some of the files on the palm copy over to the backup directory.  This happens at normal (high!) speed for the USB connection, and then the screen, keyboard, pointer, and console freeze.  Nothing has any effect until I push the reset button on the machine.

Expected Results:  pilot-xfer -b should transfer a copy of everything on the handheld to the backup directory.

Additional info:

Mar  5 20:46:36 grithr kernel: usb 3-2: new full speed USB device using uhci_hcd and address 3
Mar  5 20:46:36 grithr kernel: visor 3-2:1.0: Handspring Visor / Palm OS converter detected
Mar  5 20:46:36 grithr kernel: usb 3-2: Handspring Visor / Palm OS converter now attached to ttyUSB0
Mar  5 20:46:36 grithr kernel: usb 3-2: Handspring Visor / Palm OS converter now attached to ttyUSB1
Mar  5 20:48:05 grithr kernel: scheduling while atomic: X/0x00010000/5090
Mar  5 20:48:05 grithr kernel:  [<c02fd2ab>] schedule+0x3d/0x4ea
Mar  5 20:48:05 grithr kernel:  [<c0116e7b>] activate_task+0x53/0x5f
Mar  5 20:48:05 grithr kernel:  [<c027cef3>] usb_kill_urb+0x143/0x210
Mar  5 20:48:05 grithr kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Mar  5 20:48:05 grithr kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Mar  5 20:48:05 grithr kernel:  [<c01179bf>] __wake_up+0x78/0xde
Mar  5 20:48:05 grithr kernel:  [<e0c495a8>] serial_throttle+0x6a/0x6c [usbserial]
Mar  5 20:48:05 grithr kernel:  [<c021c52c>] n_tty_receive_buf+0x1086/0x1091
Mar  5 20:48:05 grithr kernel:  [<c01d637d>] kobject_get+0xf/0x13
Mar  5 20:48:05 grithr kernel:  [<c023e788>] get_device+0xe/0x14
Mar  5 20:48:05 grithr kernel:  [<c02776a6>] usb_get_dev+0x12/0x16
Mar  5 20:48:05 grithr kernel:  [<e0b003b8>] uhci_submit_common+0x274/0x283 [uhci_hcd]
Mar  5 20:48:05 grithr kernel:  [<c027c0bd>] hcd_submit_urb+0x20b/0x24a
Mar  5 20:48:05 grithr kernel:  [<c0219cf3>] flush_to_ldisc+0x1ad/0x1c4
Mar  5 20:48:05 grithr kernel:  [<e0c32984>] visor_read_bulk_callback+0x146/0x297 [visor]
Mar  5 20:48:05 grithr kernel:  [<c027c957>] usb_hcd_giveback_urb+0x14/0x3d
Mar  5 20:48:05 grithr kernel:  [<e0b0137c>] uhci_finish_urb+0x89/0x12a [uhci_hcd]
Mar  5 20:48:05 grithr kernel:  [<e0b01454>] uhci_finish_completion+0x37/0x3e [uhci_hcd]
Mar  5 20:48:05 grithr kernel:  [<e0b01693>] uhci_irq+0x201/0x29c [uhci_hcd]
Mar  5 20:48:05 grithr kernel:  [<c027c99f>] usb_hcd_irq+0x1f/0x4b
Mar  5 20:48:05 grithr kernel:  [<c013d4e6>] handle_IRQ_event+0x21/0x4a
Mar  5 20:48:05 grithr kernel:  [<c013d64b>] __do_IRQ+0x13c/0x249
Mar  5 20:48:05 grithr kernel:  [<c0104e04>] do_IRQ+0x5e/0x7a
Mar  5 20:48:05 grithr kernel:  =======================
Mar  5 20:48:05 grithr kernel:  [<c01035b2>] common_interrupt+0x1a/0x20
Mar  5 20:48:05 grithr kernel: visor ttyUSB1: visor_unthrottle - failed submitting read urb, error -1
Mar  5 20:48:37 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:48:37 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:48:49 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:48:49 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:49:43 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:49:43 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:49:55 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:49:55 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:50:49 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:50:49 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:51:01 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:51:01 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:51:55 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:51:55 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:52:07 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:52:07 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:52:19 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:52:19 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:52:31 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:52:31 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:52:43 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:52:43 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:52:55 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:52:55 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:53:07 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:53:07 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:53:19 grithr kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar  5 20:53:19 grithr kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Mar  5 20:55:54 grithr syslogd 1.4.1: restart.
Mar  5 20:55:54 grithr syslog: syslogd startup succeeded
Comment 1 Dave Jones 2005-07-15 16:36:28 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:12:23 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.